modules

# Class: smbHash

Source Location: /lib/createntlm.inc

### Class Overview

Calculates NT and LM hashes.

### Methods

- doHash
- lmhash
- nthash

### Class Details

[line 41]
Calculates NT and LM hashes.

The important functions are lmhash($password) and nthash($password).

[ Top ]

### Class Methods

### method doHash [line 189]

`array doHash( array $in, array $key, boolean $forw)`

#### Parameters:

array | $in |
array | $key |
boolean | $forw |

[ Top ]

### method lmhash [line 334]

`string lmhash( [string $password = ""])`

Calculates the LM hash of a given password.

#### Tags:

return: | hash value
access: | public

#### Parameters:

string | $password | password

[ Top ]

### method nthash [line 351]

`string nthash( [string $password = ""])`

Calculates the NT hash of a given password.

#### Tags:

return: | hash value
access: | public

#### Parameters:

string | $password | password

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:55 +0200 by phpDocumentor 1.4.1